Package de.gebit.integrity.ui

## Class IntegrityBuilder

- java.lang.Object
- - org.eclipse.core.internal.events.InternalBuilder
  - - org.eclipse.core.resources.IncrementalProjectBuilder
    - - org.eclipse.xtext.builder.impl.XtextBuilder
      - - de.gebit.integrity.ui.IntegrityBuilder

- All Implemented Interfaces:
    `org.eclipse.core.runtime.IExecutableExtension`

      public class IntegrityBuilder
      extends org.eclipse.xtext.builder.impl.XtextBuilder

  An override of the `XtextBuilder`.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.builder.impl.XtextBuilder

      `org.eclipse.xtext.builder.impl.XtextBuilder.BuilderPreferences, org.eclipse.xtext.builder.impl.XtextBuilder.SchedulingOption`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.builder.impl.XtextBuilder

      `BUILDER_ID`

    - ### Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

      `AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fullBuild​(org.eclipse.core.runtime.IProgressMonitor aMonitor, boolean anIsRecoveryBuild)` |

    - ### Methods inherited from class org.eclipse.xtext.builder.impl.XtextBuilder

      `addInfosFromTask, addInfosFromTaskAndBuild, addInfosFromTaskAndClean, build, clean, createDeltaVisitor, doBuild, doBuild, doClean, doClean, ensureBuilderStateLoaded, getInternalInterestingProjects, getReferencedProjects, getResourceSetProvider, getRule, incrementalBuild, isDoBuildSpecialized, isDoCleanSpecialized, isOpened, pollQueuedBuildData, pollQueuedBuildData, requestFullBuild, triggerRequestProjectRebuild, triggerRequestProjectsRebuild, unsetWasFullBuildRequested, wasFullBuildRequested`

    - ### Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder

      `forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, requestProjectRebuild, requestProjectsRebuild, setInitializationData, startupOnInitialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityBuilder

          public IntegrityBuilder()

  - ### Method Detail

    - #### fullBuild

          protected void fullBuild​(org.eclipse.core.runtime.IProgressMonitor aMonitor,
                                   boolean anIsRecoveryBuild)
                            throws org.eclipse.core.runtime.CoreException

      Overrides:
        `fullBuild` in class `org.eclipse.xtext.builder.impl.XtextBuilder`
      Throws:
        `org.eclipse.core.runtime.CoreException`